﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim qcur As Cursor
	Dim NhtsID As String
	Dim HHmemID As Int 
	Dim sql1 As SQL 
	Dim t As Phone 	
	Dim DBFileName As String					: DBFileName="iCHTdb.dbf"
	Dim DBFilePath As String					: DBFilePath=File.DirRootExternal 

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Txt1 As EditText
	Dim Txt2 As EditText
	Dim Txt3 As EditText
	Dim Txt4 As EditText
	Dim NumHHID As Int
	Dim Cursor1 As Cursor
	
	Dim scvlist As ScrollView 
	Dim Header As Panel
	Dim Table As Panel
	Dim SelectedItems As List
	Dim btnFind As Boolean 
	Dim edtNHTSID, edtLName, edtFName, edtMName, edtDoB, edtSex, edtHHmemID, edtNHTSID As String
	Dim pnlEdit, pnlMove As Panel
	
	Dim NumberOfRows As Int						: NumberOfRows=0
	Dim PreviousRow As Int						: PreviousRow=-1
	Dim NumberOfVisibleRows As Int	
	Dim NumberOfColumns As Int				: NumberOfColumns = 8  'will be overwritten when loading from CscvList file.
	Dim ColumnWidth(8) As Int
	Dim ColumnWidth_1(8) As Int
	Dim RowHeight, RowHeight_1, RowLineWidth As Int
		RowLineWidth = 1dip
		RowHeight = 30dip
		RowHeight_1 = RowHeight - RowLineWidth
	
	'Type RowCol (Row As Int, Col As Int)
	Dim LineColor  As Int							: LineColor = Colors.White 
	Dim ColLineWidth As Int						: 	ColLineWidth = 1dip
	Dim SelectedRowColor As Int				: SelectedRowColor=Colors.RGB(255,196,196)
	Dim SelectedCellColor As Int			: SelectedCellColor=Colors.LightGray

	
	'Table settings
	Dim HeaderColor(8) As Int
		HeaderColor(0)=Colors.White
		HeaderColor(1)=Colors.White
		HeaderColor(2)=Colors.White
		HeaderColor(3)=Colors.White
		HeaderColor(4)=Colors.White
		HeaderColor(5)=Colors.White
		HeaderColor(6)=Colors.White
		HeaderColor(7)=Colors.White
		
	Dim HeaderFontColor(8) As Int
		HeaderFontColor(0)=Colors.Black 
		HeaderFontColor(1)=Colors.Black 
		HeaderFontColor(2)=Colors.Black 
		HeaderFontColor(3)=Colors.Black 
		HeaderFontColor(4)=Colors.Black 
		HeaderFontColor(5)=Colors.Black 
		HeaderFontColor(6)=Colors.Black 
		HeaderFontColor(7)=Colors.Black 
		
	Dim CellColor(8) As Int
		CellColor(0) = Colors.White
		CellColor(1) = Colors.White
		CellColor(2) = Colors.White 
		CellColor(3) = Colors.White
		CellColor(4) = Colors.White
		CellColor(5) = Colors.White
		CellColor(6) = Colors.White
		CellColor(7) = Colors.White
		
	Dim FontColor(8) As Int
		FontColor(0) = Colors.Black
		FontColor(1) = Colors.Black
		FontColor(2) = Colors.Black 
		FontColor(3) = Colors.Black
		FontColor(4) = Colors.Black
		FontColor(5) = Colors.Red 
		FontColor(6) = Colors.Black
		FontColor(7) = Colors.Black
		
	Dim FontSize(8) As Float
		FontSize(0) = 20
		FontSize(1) = 20
		FontSize(2) = 20
		FontSize(3) = 20
		FontSize(4) = 20
		FontSize(5) = 26
		FontSize(6) = 20
		FontSize(7) = 20
		
	Dim Alignment(8) As Int
		Alignment(0) = Gravity.LEFT  'change to Gravity.LEFT or Gravity.RIGHT for other alignments.
		Alignment(1) = Gravity.LEFT  
		Alignment(2) = Gravity.LEFT 
		Alignment(3) = Gravity.LEFT  'change to Gravity.LEFT or Gravity.RIGHT for other alignments.
		Alignment(4) = Gravity.LEFT 
		Alignment(5) = Gravity.CENTER 
		Alignment(6) = Gravity.LEFT 
		Alignment(7) = Gravity.LEFT 
		
		Dim ImageView2 As ImageView


End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("fListHHMem")
	If File.Exists(DBFilePath, DBFileName)=False Then
'		DBFileDir = DBUtils.CopyDBFromAssets(DBFileName)
		If FirstTime Then 
			sql1.Initialize(DBFilePath, DBFileName, True)
		End If
		'SQLCreateTable
	Else
		If FirstTime Then 
			sql1.Initialize(DBFilePath, DBFileName, True)
		End If
	End If	
	PopulateList
End Sub
Sub PopulateList

	Dim i As Int
	
	scvlist.Panel.Color=Colors.Black
	Table = scvlist.Panel
	Table.Color = LineColor

	ColumnWidth(0) = 0.22 * scvlist.Width		' sets the column widths 1/3 screen width
	ColumnWidth(1) = 0.22 * scvlist.Width
	ColumnWidth(2) = 0.22 * scvlist.Width
	ColumnWidth(3) = 0.16 * scvlist.Width		' sets the column widths 1/3 screen width
	ColumnWidth(4) = 0.10 * scvlist.Width
	ColumnWidth(5) = 0.05 * scvlist.Width
	ColumnWidth(6) = 0.00 * scvlist.Width		' sets the column widths 1/3 screen width
	ColumnWidth(7) = 0.00 * scvlist.Width		' sets the column widths 1/3 screen width	
	For i=0 To NumberOfColumns-1
		' sets the label width to the column width minus column line width
		ColumnWidth_1(i) = ColumnWidth(i)-ColLineWidth	
	Next
	SelectedItems.Initialize
	SQLReadTable
	NumberOfVisibleRows=scvlist.Height/RowHeight
	
End Sub
Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub SQLReadTable
' Reads the SQL data base
	Dim i As Int
	Dim Cursor1 As Cursor
	
	Dim Bitmap1 As Bitmap 
    Bitmap1.Initialize(File.DirAssets, "delete.png")
	
	Cursor1 = sql1.ExecQuery("select nhtsid, hhmemid, lname, fname, mname, dob, sex from hh where NHTSID = '" & FindHH.txtID  & "' AND rel_hh <> 1")
	
	Dim row(NumberOfColumns) As String
	'row(0)="NHTS ID"
	row(0)="Last Name"
	row(1)="First Name"
	row(2)="Middle Name"
	row(3)="Kaarawan"
	row(4)="Kasarian"
	row(5)=" "
	row(6)=""
	row(7)=""
	
	
	
	If btnFind= False Then SetHeader(row)
	NumberOfRows=0
	For i = 0 To Cursor1.RowCount - 1
		Dim row(NumberOfColumns) As String
		Cursor1.Position = i
		row(0)=Cursor1.GetString("lname")
		row(1)=Cursor1.GetString("fname")
		row(2)=Cursor1.GetString("mname")
		row(3)=Cursor1.GetString("dob")
		row(4)=Cursor1.GetString("sex")
		row(5)="x"
		row(6)=Cursor1.GetString("hhmemid")
		row(7)=Cursor1.GetString("nhtsid")
		AddRow(row)
	Next

'	Cursor1.Close
End Sub
Sub Cell_Click
	Dim rc As RowCol
	Dim l As Label
	l = Sender
	rc = l.Tag
	
	l = Sender

	If SelectedItems.Size=1 Then
		SelectRow(rc.Row, rc.Col,2)
	Else
		SelectRow(rc.Row, rc.Col,0)
	End If
'	SelectAdd
	StartActivity("ProfileMem")
End Sub

Sub SelectAdd
	Dim txt As String

	txt="Codes = "
	For i=0 To SelectedItems.Size-1
		If i=0 Then
			txt=txt&GetView(SelectedItems.Get(i),7).Text
			NhtsID =GetView(SelectedItems.Get(i),7).Text
		Else
			txt=txt&" / "&GetView(SelectedItems.Get(i),6).Text
			HHmemID =GetView(SelectedItems.Get(i),6).Text
		End If
	Next
	Activity.Title = txt
	HHmemID=NumHHID
	
End Sub

Sub SelectRow(Row As Int, SelCol As Int, Mode As Int)
	Dim col, index As Int

	index=SelectedItems.IndexOf(Row)  ' tests if the row is alrady selected
	
	If index>-1 Then ' row already selected
		For col = 0 To NumberOfColumns - 1
			GetView(Row, col).Color = CellColor(col)  ' remove the color of previously selected row
		Next
		SelectedItems.RemoveAt(index)	' removes the row from the list of selected rows
		If SelectedItems.Size=1 Then
			Row=SelectedItems.Get(0)		' sets row to the last selected row
		End If
	Else
		' adds the selected row to the list and sets the line color
		If Mode=0 Then
			SelectedItems.Add(Row)
		Else If Mode=2 Then
			For col = 0 To NumberOfColumns - 1
				GetView(PreviousRow, col).Color = CellColor(col)  ' sets standard colors to previous row
			Next
		End If
		For col = 0 To NumberOfColumns - 1
			GetView(Row, col).Color = SelectedRowColor  ' sets selected row colors
		Next
	End If
	
	If Mode=1 Then	' up / down move
		For col = 0 To NumberOfColumns - 1
			GetView(PreviousRow, col).Color = CellColor(col)
			GetView(Row, col).Color = SelectedRowColor
		Next
	End If
	
	' update or the Buttons and EditText views
	If SelectedItems.Size=0 Then
'		btnClear.Visible=True
	Else If SelectedItems.Size=1 Then
		SelectedItems.Set(0,Row)
		edtLName=GetView(SelectedItems.Get(0), 0).Text
		edtFName=GetView(SelectedItems.Get(0), 1).Text
		edtMName=GetView(SelectedItems.Get(0), 2).Text
		edtDoB=GetView(SelectedItems.Get(0), 3).Text
		edtSex=GetView(SelectedItems.Get(0), 4).Text
		edtHHmemID=GetView(SelectedItems.Get(0), 6).Text
		edtNHTSID=GetView(SelectedItems.Get(0), 7).Text
		PreviousRow=Row
		NhtsID = edtNHTSID
		HHmemID = edtHHmemID
	Else
'		pnlMove.Visible=False
	End If
End Sub

Sub GetView(Row As Int, Col As Int) As Label
' Returns the label in the specific cell
	Dim l As Label
	l = Table.GetView(Row * NumberOfColumns + Col)
	Return l
End Sub

Sub AddRow(Values() As String)
' Adds a row to the table
	Dim ColWidth As Int
	
	If Values.Length <> NumberOfColumns Then
		Log("Wrong number of values.")
		Return
	End If
	ColWidth=0
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("cell")
		l.Text = Values(i)
		l.Gravity = Alignment(i)
		l.TextSize = FontSize(i)
		l.TextColor = FontColor(i)
		l.Color=CellColor(i)
		Dim rc As RowCol
		rc.Initialize
		rc.Col = i
		rc.Row = NumberOfRows
		l.Tag = rc
		Table.AddView(l, ColWidth, RowHeight * NumberOfRows, ColumnWidth_1(i), RowHeight_1)
		ColWidth=ColWidth+ColumnWidth(i)
	Next
	NumberOfRows=NumberOfRows+1
	Table.Height = NumberOfRows * RowHeight
End Sub

Sub SetHeader(Values() As String)
' Set the headers values
	Dim ColWidth As Int

	If Header.IsInitialized Then Return 'should only be called once
	Header.Initialize("")
	ColWidth=0
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("header")
		l.Text = Values(i)
		l.Gravity = Alignment(i)
		l.TextSize = FontSize(i)
		l.Color = HeaderColor(i)
		l.TextColor = HeaderFontColor(i)
		l.Tag = i
		Header.AddView(l, ColWidth, 0, ColumnWidth_1(i), RowHeight_1)
		ColWidth=ColWidth+ColumnWidth(i)
	Next
	Activity.AddView(Header, scvlist.Left, scvlist.Top - RowHeight, scvlist.Width, RowHeight)
End Sub

Sub SetCell(Row As Int, Col As Int, Value As String)
' Sets the value of the given cell
	GetView(Row, Col).Text = Value
End Sub

Sub GetCell(Row As Int, Col As Int) As String
' Gets the value of the given cell
	Return GetView(Row, Col).Text
End Sub

Sub ClearAll
' Clears the table
	For i = Table.NumberOfViews -1 To 0 Step -1
		Table.RemoveViewAt(i)
	Next
	Table.Height = 0
	SelectedItems.Clear
End Sub
