package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class profilehoh extends Activity implements B4AActivity{
	public static profilehoh mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.profilehoh");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (profilehoh).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.profilehoh");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.shellMode) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.profilehoh", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (profilehoh) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (profilehoh) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return profilehoh.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (profilehoh) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (profilehoh) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _qcur = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _qcur2 = null;
public static String _txtid = "";
public static String _spintxt = "";
public static anywheresoftware.b4a.sql.SQL _sql1 = null;
public static anywheresoftware.b4a.sql.SQL _sql2 = null;
public static anywheresoftware.b4a.phone.Phone _t = null;
public static String _dbfilename = "";
public static String _dbfilepath = "";
public anywheresoftware.b4a.objects.ButtonWrapper _btnhup = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnsave = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnaddmem = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btneditmem = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbfemale = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbmale = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbno = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbyes = null;
public static String _txt = "";
public static String _txt2 = "";
public static String _numrow = "";
public anywheresoftware.b4a.objects.EditTextWrapper _fname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _lname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _mname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _nhtsid = null;
public anywheresoftware.b4a.objects.EditTextWrapper _number = null;
public anywheresoftware.b4a.objects.EditTextWrapper _phicexpdate = null;
public anywheresoftware.b4a.objects.EditTextWrapper _dob = null;
public anywheresoftware.b4a.objects.EditTextWrapper _cont_num = null;
public anywheresoftware.b4a.objects.EditTextWrapper _ext = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview2 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spprofq1 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _sphhcat = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spidtyp = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spmemcat = null;
public static int _i = 0;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview3 = null;
public b4a.example.anotherdatepicker _expdatadp = null;
public b4a.example.dateutils _dateutils = null;
public b4a.example.main _main = null;
public b4a.example.findhh _findhh = null;
public b4a.example.dbutils _dbutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"btnAddMem",mostCurrent._btnaddmem,"btnEditMem",mostCurrent._btneditmem,"btnHUP",mostCurrent._btnhup,"btnSave",mostCurrent._btnsave,"cont_num",mostCurrent._cont_num,"DateUtils",mostCurrent._dateutils,"DBFileName",_dbfilename,"DBFilePath",_dbfilepath,"DBUtils",Debug.moduleToString(b4a.example.dbutils.class),"DoB",mostCurrent._dob,"ExpDatADP",mostCurrent._expdatadp,"ext",mostCurrent._ext,"FindHH",Debug.moduleToString(b4a.example.findhh.class),"fname",mostCurrent._fname,"i",_i,"ImageView2",mostCurrent._imageview2,"ImageView3",mostCurrent._imageview3,"lname",mostCurrent._lname,"Main",Debug.moduleToString(b4a.example.main.class),"mname",mostCurrent._mname,"nhtsid",mostCurrent._nhtsid,"number",mostCurrent._number,"NumRow",mostCurrent._numrow,"PHICExpDate",mostCurrent._phicexpdate,"qcur",_qcur,"qcur2",_qcur2,"rbFemale",mostCurrent._rbfemale,"rbMale",mostCurrent._rbmale,"rbNo",mostCurrent._rbno,"rbYes",mostCurrent._rbyes,"spHHCat",mostCurrent._sphhcat,"spIDTyp",mostCurrent._spidtyp,"SpinTxt",_spintxt,"spMemCat",mostCurrent._spmemcat,"spProfQ1",mostCurrent._spprofq1,"sql1",_sql1,"sql2",_sql2,"t",_t,"Txt",mostCurrent._txt,"txt2",mostCurrent._txt2,"txtID",mostCurrent._txtid};
}

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 61;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 62;BA.debugLine="Activity.LoadLayout(\"fprofilehoh\")";
Debug.ShouldStop(536870912);
mostCurrent._activity.LoadLayout("fprofilehoh",mostCurrent.activityBA);
 BA.debugLineNum = 64;BA.debugLine="btnSave.Color=Colors.LightGray";
Debug.ShouldStop(-2147483648);
mostCurrent._btnsave.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 65;BA.debugLine="txtID = FindHH.txtID";
Debug.ShouldStop(1);
mostCurrent._txtid = mostCurrent._findhh._txtid;
 BA.debugLineNum = 66;BA.debugLine="If FirstTime Then";
Debug.ShouldStop(2);
if (_firsttime) { 
 BA.debugLineNum = 67;BA.debugLine="sql1.Initialize(DBFilePath, DBFileName, True)";
Debug.ShouldStop(4);
Debug.DebugWarningEngine.CheckInitialize(_sql1);_sql1.Initialize(_dbfilepath,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 71;BA.debugLine="fProfLd";
Debug.ShouldStop(64);
_fprofld();
 BA.debugLineNum = 72;BA.debugLine="spIDTypLd";
Debug.ShouldStop(128);
_spidtypld();
 BA.debugLineNum = 73;BA.debugLine="spMemCatLd";
Debug.ShouldStop(256);
_spmemcatld();
 BA.debugLineNum = 74;BA.debugLine="spHHCatLd";
Debug.ShouldStop(512);
_sphhcatld();
 BA.debugLineNum = 76;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 180;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 182;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 176;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(32768);
 BA.debugLineNum = 178;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnaddmem_click() throws Exception{
		Debug.PushSubsStack("btnAddMem_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 191;BA.debugLine="Sub btnAddMem_Click";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 193;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btneditmem_click() throws Exception{
		Debug.PushSubsStack("btnEditMem_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 188;BA.debugLine="Sub btnEditMem_Click";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 189;BA.debugLine="StartActivity(\"ListHHMem\")";
Debug.ShouldStop(268435456);
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)("ListHHMem"));
 BA.debugLineNum = 190;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnhup_click() throws Exception{
		Debug.PushSubsStack("btnHUP_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 204;BA.debugLine="Sub btnHUP_Click";
Debug.ShouldStop(2048);
 BA.debugLineNum = 206;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnsave_click() throws Exception{
		Debug.PushSubsStack("btnSave_click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
String _m = "";
String _d = "";
String _y = "";
 BA.debugLineNum = 77;BA.debugLine="Sub btnSave_click";
Debug.ShouldStop(4096);
 BA.debugLineNum = 78;BA.debugLine="Dim m As String";
Debug.ShouldStop(8192);
_m = "";Debug.locals.put("m", _m);
 BA.debugLineNum = 79;BA.debugLine="Dim d As String";
Debug.ShouldStop(16384);
_d = "";Debug.locals.put("d", _d);
 BA.debugLineNum = 80;BA.debugLine="Dim y As String";
Debug.ShouldStop(32768);
_y = "";Debug.locals.put("y", _y);
 BA.debugLineNum = 81;BA.debugLine="If rbYes.Checked Then";
Debug.ShouldStop(65536);
if (mostCurrent._rbyes.getChecked()) { 
 BA.debugLineNum = 82;BA.debugLine="chkField";
Debug.ShouldStop(131072);
_chkfield();
 }else {
 BA.debugLineNum = 84;BA.debugLine="Return";
Debug.ShouldStop(524288);
if (true) return "";
 };
 BA.debugLineNum = 88;BA.debugLine="PHICExpDate.Text = ExpDatADP.GetDate";
Debug.ShouldStop(8388608);
mostCurrent._phicexpdate.setText((Object)(mostCurrent._expdatadp._getdate()));
 BA.debugLineNum = 89;BA.debugLine="DateTime.DateFormat = \"mm/dd/yyyy\"";
Debug.ShouldStop(16777216);
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("mm/dd/yyyy");
 BA.debugLineNum = 90;BA.debugLine="m = DateTime.GetMonth (PHICExpDate.Text )";
Debug.ShouldStop(33554432);
_m = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetMonth((long)(Double.parseDouble(mostCurrent._phicexpdate.getText()))));Debug.locals.put("m", _m);
 BA.debugLineNum = 91;BA.debugLine="d = DateTime.GetDayOfMonth(PHICExpDate.Text )";
Debug.ShouldStop(67108864);
_d = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfMonth((long)(Double.parseDouble(mostCurrent._phicexpdate.getText()))));Debug.locals.put("d", _d);
 BA.debugLineNum = 92;BA.debugLine="y = DateTime.GetYear (PHICExpDate.Text )";
Debug.ShouldStop(134217728);
_y = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetYear((long)(Double.parseDouble(mostCurrent._phicexpdate.getText()))));Debug.locals.put("y", _y);
 BA.debugLineNum = 95;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(1073741824);
mostCurrent._txt = "";
 BA.debugLineNum = 96;BA.debugLine="Txt = \"update hh set hh_phic_id = '\" & spIDTyp.SelectedItem  & \"', \"";
Debug.ShouldStop(-2147483648);
mostCurrent._txt = "update hh set hh_phic_id = '"+mostCurrent._spidtyp.getSelectedItem()+"', ";
 BA.debugLineNum = 97;BA.debugLine="Txt = Txt & \"hh_phic_mem_cat = '\" & spMemCat.SelectedItem & \"', \"";
Debug.ShouldStop(1);
mostCurrent._txt = mostCurrent._txt+"hh_phic_mem_cat = '"+mostCurrent._spmemcat.getSelectedItem()+"', ";
 BA.debugLineNum = 98;BA.debugLine="Txt = Txt & \"nhtscateg = '\" & spHHCat.SelectedItem & \"', \"";
Debug.ShouldStop(2);
mostCurrent._txt = mostCurrent._txt+"nhtscateg = '"+mostCurrent._sphhcat.getSelectedItem()+"', ";
 BA.debugLineNum = 99;BA.debugLine="Txt = Txt & \"exp_dat = '\" & m & \"/\" & d & \"/\" & y & \"' \"";
Debug.ShouldStop(4);
mostCurrent._txt = mostCurrent._txt+"exp_dat = '"+_m+"/"+_d+"/"+_y+"' ";
 BA.debugLineNum = 100;BA.debugLine="Txt = Txt & \"where nhtsid = '\" & txtID & \"' and hhmemid = 1\"";
Debug.ShouldStop(8);
mostCurrent._txt = mostCurrent._txt+"where nhtsid = '"+mostCurrent._txtid+"' and hhmemid = 1";
 BA.debugLineNum = 101;BA.debugLine="sql1.ExecNonQuery(Txt)";
Debug.ShouldStop(16);
_sql1.ExecNonQuery(mostCurrent._txt);
 BA.debugLineNum = 102;BA.debugLine="fProfLd";
Debug.ShouldStop(32);
_fprofld();
 BA.debugLineNum = 103;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _button1_click() throws Exception{
		Debug.PushSubsStack("Button1_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.collections.Map _options = null;
Object _typ = null;
int _n = 0;
String _s = "";
 BA.debugLineNum = 214;BA.debugLine="Sub Button1_Click";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 215;BA.debugLine="Dim i As  Int";
Debug.ShouldStop(4194304);
_i = 0;
 BA.debugLineNum = 216;BA.debugLine="Dim options As Map";
Debug.ShouldStop(8388608);
_options = new anywheresoftware.b4a.objects.collections.Map();Debug.locals.put("options", _options);
 BA.debugLineNum = 217;BA.debugLine="options.Initialize";
Debug.ShouldStop(16777216);
_options.Initialize();
 BA.debugLineNum = 218;BA.debugLine="Dim typ As Object";
Debug.ShouldStop(33554432);
_typ = new Object();Debug.locals.put("typ", _typ);
 BA.debugLineNum = 219;BA.debugLine="Dim n As Int";
Debug.ShouldStop(67108864);
_n = 0;Debug.locals.put("n", _n);
 BA.debugLineNum = 220;BA.debugLine="Dim s As String";
Debug.ShouldStop(134217728);
_s = "";Debug.locals.put("s", _s);
 BA.debugLineNum = 221;BA.debugLine="options.Clear";
Debug.ShouldStop(268435456);
_options.Clear();
 BA.debugLineNum = 222;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(536870912);
mostCurrent._txt = "";
 BA.debugLineNum = 223;BA.debugLine="Txt = \"Select * from geopolcode where type = 1\"";
Debug.ShouldStop(1073741824);
mostCurrent._txt = "Select * from geopolcode where type = 1";
 BA.debugLineNum = 224;BA.debugLine="QcurExec";
Debug.ShouldStop(-2147483648);
_qcurexec();
 BA.debugLineNum = 225;BA.debugLine="n = qcur.RowCount";
Debug.ShouldStop(1);
_n = _qcur.getRowCount();Debug.locals.put("n", _n);
 BA.debugLineNum = 227;BA.debugLine="For i = 0 To n -1";
Debug.ShouldStop(4);
{
final int step178 = 1;
final int limit178 = (int) (_n-1);
for (_i = (int) (0); (step178 > 0 && _i <= limit178) || (step178 < 0 && _i >= limit178); _i = ((int)(0 + _i + step178))) {
 BA.debugLineNum = 228;BA.debugLine="qcur.Position = i";
Debug.ShouldStop(8);
_qcur.setPosition(_i);
 BA.debugLineNum = 229;BA.debugLine="s= qcur.GetString(\"description\")";
Debug.ShouldStop(16);
_s = _qcur.GetString("description");Debug.locals.put("s", _s);
 BA.debugLineNum = 230;BA.debugLine="options.Put(s, False )";
Debug.ShouldStop(32);
_options.Put((Object)(_s),(Object)(anywheresoftware.b4a.keywords.Common.False));
 }
};
 BA.debugLineNum = 233;BA.debugLine="InputMap(options, \"Ang puno ng pamilyang ito ay:\")";
Debug.ShouldStop(256);
anywheresoftware.b4a.keywords.Common.InputMap(_options,"Ang puno ng pamilyang ito ay:",mostCurrent.activityBA);
 BA.debugLineNum = 234;BA.debugLine="Log(s)";
Debug.ShouldStop(512);
anywheresoftware.b4a.keywords.Common.Log(_s);
 BA.debugLineNum = 236;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _chkfield() throws Exception{
		Debug.PushSubsStack("chkField (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 105;BA.debugLine="Sub chkField";
Debug.ShouldStop(256);
 BA.debugLineNum = 106;BA.debugLine="If spIDTyp.SelectedItem = \"\" Then";
Debug.ShouldStop(512);
if ((mostCurrent._spidtyp.getSelectedItem()).equals("")) { 
 BA.debugLineNum = 107;BA.debugLine="ToastMessageShow(\"Item cannot be blank\", 0)";
Debug.ShouldStop(1024);
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Item cannot be blank",BA.ObjectToBoolean(0));
 BA.debugLineNum = 108;BA.debugLine="Return";
Debug.ShouldStop(2048);
if (true) return "";
 }else 
{ BA.debugLineNum = 109;BA.debugLine="Else If spMemCat.Selecteditem = \"\" Then";
Debug.ShouldStop(4096);
if ((mostCurrent._spmemcat.getSelectedItem()).equals("")) { 
 BA.debugLineNum = 110;BA.debugLine="ToastMessageShow(\"Item cannot be blank\", False)";
Debug.ShouldStop(8192);
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Item cannot be blank",anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 111;BA.debugLine="Return";
Debug.ShouldStop(16384);
if (true) return "";
 }else 
{ BA.debugLineNum = 112;BA.debugLine="Else If spHHCat.SelectedItem  = \"\" Then";
Debug.ShouldStop(32768);
if ((mostCurrent._sphhcat.getSelectedItem()).equals("")) { 
 BA.debugLineNum = 113;BA.debugLine="Return";
Debug.ShouldStop(65536);
if (true) return "";
 }}};
 BA.debugLineNum = 117;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _chkfields() throws Exception{
		Debug.PushSubsStack("ChkFields (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 195;BA.debugLine="Sub ChkFields";
Debug.ShouldStop(4);
 BA.debugLineNum = 196;BA.debugLine="If lname.Text = Null OR fname.Text = Null OR mname.Text = Null OR nhtsid.Text = Null Then";
Debug.ShouldStop(8);
if (mostCurrent._lname.getText()== null || mostCurrent._fname.getText()== null || mostCurrent._mname.getText()== null || mostCurrent._nhtsid.getText()== null) { 
 BA.debugLineNum = 197;BA.debugLine="Return";
Debug.ShouldStop(16);
if (true) return "";
 };
 BA.debugLineNum = 199;BA.debugLine="If rbFemale.Checked = False AND rbMale.Checked = False Then";
Debug.ShouldStop(64);
if (mostCurrent._rbfemale.getChecked()==anywheresoftware.b4a.keywords.Common.False && mostCurrent._rbmale.getChecked()==anywheresoftware.b4a.keywords.Common.False) { 
 BA.debugLineNum = 200;BA.debugLine="Return";
Debug.ShouldStop(128);
if (true) return "";
 };
 BA.debugLineNum = 203;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _fillfields() throws Exception{
		Debug.PushSubsStack("fillfields (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 287;BA.debugLine="Sub fillfields";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 288;BA.debugLine="lname.Text = qcur.GetString(\"lname\")";
Debug.ShouldStop(-2147483648);
mostCurrent._lname.setText((Object)(_qcur.GetString("lname")));
 BA.debugLineNum = 289;BA.debugLine="fname.Text = qcur.GetString(\"fname\")";
Debug.ShouldStop(1);
mostCurrent._fname.setText((Object)(_qcur.GetString("fname")));
 BA.debugLineNum = 290;BA.debugLine="mname.Text = qcur.GetString(\"mname\")";
Debug.ShouldStop(2);
mostCurrent._mname.setText((Object)(_qcur.GetString("mname")));
 BA.debugLineNum = 291;BA.debugLine="DoB.text = qcur.GetString(\"dob\")";
Debug.ShouldStop(4);
mostCurrent._dob.setText((Object)(_qcur.GetString("dob")));
 BA.debugLineNum = 292;BA.debugLine="number.text = qcur.GetString(\"hsenum\") & \" \" & qcur.GetString(\"street\") & \", BRGY. \" & qcur.GetString(\"barangay\") & \", \" & qcur.GetString(\"municipality\") & \", \" & qcur.GetString(\"province\") & \", \" & qcur.GetString(\"region\")";
Debug.ShouldStop(8);
mostCurrent._number.setText((Object)(_qcur.GetString("hsenum")+" "+_qcur.GetString("street")+", BRGY. "+_qcur.GetString("barangay")+", "+_qcur.GetString("municipality")+", "+_qcur.GetString("province")+", "+_qcur.GetString("region")));
 BA.debugLineNum = 293;BA.debugLine="cont_num.Text = qcur.GetString(\"cont_num\")";
Debug.ShouldStop(16);
mostCurrent._cont_num.setText((Object)(_qcur.GetString("cont_num")));
 BA.debugLineNum = 294;BA.debugLine="ext.Text = qcur.GetString(\"ext\")";
Debug.ShouldStop(32);
mostCurrent._ext.setText((Object)(_qcur.GetString("ext")));
 BA.debugLineNum = 295;BA.debugLine="spHHCat.Add(qcur.GetString(\"nhtscateg\"))";
Debug.ShouldStop(64);
mostCurrent._sphhcat.Add(_qcur.GetString("nhtscateg"));
 BA.debugLineNum = 296;BA.debugLine="spMemCat.Add(qcur.GetString(\"hh_phic_mem_cat\"))";
Debug.ShouldStop(128);
mostCurrent._spmemcat.Add(_qcur.GetString("hh_phic_mem_cat"));
 BA.debugLineNum = 297;BA.debugLine="spIDTyp.Add(qcur.GetString(\"hh_phic_id\"))";
Debug.ShouldStop(256);
mostCurrent._spidtyp.Add(_qcur.GetString("hh_phic_id"));
 BA.debugLineNum = 299;BA.debugLine="PHICExpDate.Text  = (qcur.GetString(\"exp_dat\"))";
Debug.ShouldStop(1024);
mostCurrent._phicexpdate.setText((Object)((_qcur.GetString("exp_dat"))));
 BA.debugLineNum = 302;BA.debugLine="If qcur.GetString(\"sex\")= \"female\"  Then";
Debug.ShouldStop(8192);
if ((_qcur.GetString("sex")).equals("female")) { 
 BA.debugLineNum = 303;BA.debugLine="rbFemale.Checked = True";
Debug.ShouldStop(16384);
mostCurrent._rbfemale.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 305;BA.debugLine="If qcur.GetString(\"sex\")= \"male\" Then";
Debug.ShouldStop(65536);
if ((_qcur.GetString("sex")).equals("male")) { 
 BA.debugLineNum = 306;BA.debugLine="rbMale.Checked = True";
Debug.ShouldStop(131072);
mostCurrent._rbmale.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 308;BA.debugLine="nhtsid.Text = qcur.GetString(\"nhtsid\")";
Debug.ShouldStop(524288);
mostCurrent._nhtsid.setText((Object)(_qcur.GetString("nhtsid")));
 BA.debugLineNum = 310;BA.debugLine="If qcur.GetString(\"hh_phic_stat\")= \"yes\"  Then";
Debug.ShouldStop(2097152);
if ((_qcur.GetString("hh_phic_stat")).equals("yes")) { 
 BA.debugLineNum = 311;BA.debugLine="rbYes.Checked = True";
Debug.ShouldStop(4194304);
mostCurrent._rbyes.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 313;BA.debugLine="If qcur.GetString(\"hh_phic_stat\")= \"no\"  Then";
Debug.ShouldStop(16777216);
if ((_qcur.GetString("hh_phic_stat")).equals("no")) { 
 BA.debugLineNum = 314;BA.debugLine="rbNo.Checked = True";
Debug.ShouldStop(33554432);
mostCurrent._rbno.setChecked(anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 317;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _fprofld() throws Exception{
		Debug.PushSubsStack("fProfLd (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 119;BA.debugLine="Sub fProfLd";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 120;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(8388608);
mostCurrent._txt = "";
 BA.debugLineNum = 121;BA.debugLine="Txt = \"Select * from hh where NHTSID = '\" & txtID & \"'\"";
Debug.ShouldStop(16777216);
mostCurrent._txt = "Select * from hh where NHTSID = '"+mostCurrent._txtid+"'";
 BA.debugLineNum = 122;BA.debugLine="QcurExec";
Debug.ShouldStop(33554432);
_qcurexec();
 BA.debugLineNum = 123;BA.debugLine="fillfields";
Debug.ShouldStop(67108864);
_fillfields();
 BA.debugLineNum = 124;BA.debugLine="lockfields";
Debug.ShouldStop(134217728);
_lockfields();
 BA.debugLineNum = 125;BA.debugLine="qcur.Close";
Debug.ShouldStop(268435456);
_qcur.Close();
 BA.debugLineNum = 126;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim txtID As String";
mostCurrent._txtid = "";
 //BA.debugLineNum = 26;BA.debugLine="Dim btnHUP As Button";
mostCurrent._btnhup = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim btnSave As Button";
mostCurrent._btnsave = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim btnAddMem As Button";
mostCurrent._btnaddmem = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim btnEditMem As Button";
mostCurrent._btneditmem = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim rbFemale As RadioButton";
mostCurrent._rbfemale = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim rbMale As RadioButton";
mostCurrent._rbmale = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim rbNo As RadioButton";
mostCurrent._rbno = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim rbYes As RadioButton";
mostCurrent._rbyes = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Dim Txt, txt2 As String";
mostCurrent._txt = "";
mostCurrent._txt2 = "";
 //BA.debugLineNum = 37;BA.debugLine="Dim NumRow As String";
mostCurrent._numrow = "";
 //BA.debugLineNum = 39;BA.debugLine="Dim fname As EditText";
mostCurrent._fname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Dim lname As EditText";
mostCurrent._lname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Dim mname As EditText";
mostCurrent._mname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim nhtsid As EditText";
mostCurrent._nhtsid = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim number As EditText";
mostCurrent._number = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Dim PHICExpDate As EditText";
mostCurrent._phicexpdate = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim DoB As EditText";
mostCurrent._dob = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Dim cont_num As EditText";
mostCurrent._cont_num = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim ext As EditText";
mostCurrent._ext = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 49;BA.debugLine="Dim ImageView2 As ImageView";
mostCurrent._imageview2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Dim spProfQ1 As Spinner";
mostCurrent._spprofq1 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Dim spHHCat As Spinner";
mostCurrent._sphhcat = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 52;BA.debugLine="Dim spIDTyp As Spinner";
mostCurrent._spidtyp = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Dim spMemCat As Spinner";
mostCurrent._spmemcat = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 55;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 57;BA.debugLine="Dim ImageView3 As ImageView";
mostCurrent._imageview3 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 58;BA.debugLine="Dim ExpDatADP As AnotherDatePicker";
mostCurrent._expdatadp = new b4a.example.anotherdatepicker();
 //BA.debugLineNum = 59;BA.debugLine="End Sub";
return "";
}
public static String  _imageview2_click() throws Exception{
		Debug.PushSubsStack("ImageView2_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 184;BA.debugLine="Sub ImageView2_Click";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 185;BA.debugLine="StartActivity(\"eprofhohper\")";
Debug.ShouldStop(16777216);
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)("eprofhohper"));
 BA.debugLineNum = 186;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _imageview3_click() throws Exception{
		Debug.PushSubsStack("ImageView3_Click (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 320;BA.debugLine="Sub ImageView3_Click";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 321;BA.debugLine="unlockfields";
Debug.ShouldStop(1);
_unlockfields();
 BA.debugLineNum = 323;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _lockfields() throws Exception{
		Debug.PushSubsStack("lockfields (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 265;BA.debugLine="Sub lockfields";
Debug.ShouldStop(256);
 BA.debugLineNum = 266;BA.debugLine="lname.Enabled = False";
Debug.ShouldStop(512);
mostCurrent._lname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 267;BA.debugLine="fname.Enabled = False";
Debug.ShouldStop(1024);
mostCurrent._fname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 268;BA.debugLine="mname.Enabled = False";
Debug.ShouldStop(2048);
mostCurrent._mname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 269;BA.debugLine="DoB.Enabled = False";
Debug.ShouldStop(4096);
mostCurrent._dob.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 270;BA.debugLine="number.Enabled = False";
Debug.ShouldStop(8192);
mostCurrent._number.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 271;BA.debugLine="spProfQ1.Enabled =False";
Debug.ShouldStop(16384);
mostCurrent._spprofq1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 272;BA.debugLine="nhtsid.Enabled = False";
Debug.ShouldStop(32768);
mostCurrent._nhtsid.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 273;BA.debugLine="rbNo.Enabled = False";
Debug.ShouldStop(65536);
mostCurrent._rbno.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 274;BA.debugLine="rbYes.Enabled = False";
Debug.ShouldStop(131072);
mostCurrent._rbyes.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 275;BA.debugLine="spHHCat.Enabled = False";
Debug.ShouldStop(262144);
mostCurrent._sphhcat.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 276;BA.debugLine="spMemCat.Enabled = False";
Debug.ShouldStop(524288);
mostCurrent._spmemcat.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 277;BA.debugLine="spIDTyp.Enabled = False";
Debug.ShouldStop(1048576);
mostCurrent._spidtyp.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 278;BA.debugLine="PHICExpDate.Enabled = False";
Debug.ShouldStop(2097152);
mostCurrent._phicexpdate.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 279;BA.debugLine="rbFemale.Enabled = False";
Debug.ShouldStop(4194304);
mostCurrent._rbfemale.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 280;BA.debugLine="rbMale.Enabled = False";
Debug.ShouldStop(8388608);
mostCurrent._rbmale.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 281;BA.debugLine="cont_num.Enabled = False";
Debug.ShouldStop(16777216);
mostCurrent._cont_num.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 282;BA.debugLine="ext.Enabled = False";
Debug.ShouldStop(33554432);
mostCurrent._ext.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 283;BA.debugLine="nhtsid.Enabled = False";
Debug.ShouldStop(67108864);
mostCurrent._nhtsid.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 285;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim qcur, qcur2 As Cursor";
_qcur = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_qcur2 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 10;BA.debugLine="Dim txtID As String";
mostCurrent._txtid = "";
 //BA.debugLineNum = 11;BA.debugLine="Dim SpinTxt As String";
_spintxt = "";
 //BA.debugLineNum = 13;BA.debugLine="Dim sql1, sql2 As SQL";
_sql1 = new anywheresoftware.b4a.sql.SQL();
_sql2 = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 14;BA.debugLine="Dim t As Phone";
_t = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 15;BA.debugLine="Dim DBFileName As String					: DBFileName=\"ichtdb.dbf\"";
_dbfilename = "";
 //BA.debugLineNum = 15;BA.debugLine="Dim DBFileName As String					: DBFileName=\"ichtdb.dbf\"";
_dbfilename = "ichtdb.dbf";
 //BA.debugLineNum = 16;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = "";
 //BA.debugLineNum = 16;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = anywheresoftware.b4a.keywords.Common.File.getDirRootExternal();
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _qcurexec() throws Exception{
		Debug.PushSubsStack("QcurExec (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 208;BA.debugLine="Sub QcurExec";
Debug.ShouldStop(32768);
 BA.debugLineNum = 209;BA.debugLine="qcur = sql1.ExecQuery(Txt)";
Debug.ShouldStop(65536);
_qcur.setObject((android.database.Cursor)(_sql1.ExecQuery(mostCurrent._txt)));
 BA.debugLineNum = 210;BA.debugLine="qcur.Position = 0";
Debug.ShouldStop(131072);
_qcur.setPosition((int) (0));
 BA.debugLineNum = 212;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _sphhcatld() throws Exception{
		Debug.PushSubsStack("spHHCatLd (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
int _n = 0;
String _s = "";
 BA.debugLineNum = 159;BA.debugLine="Sub spHHCatLd";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 160;BA.debugLine="Dim i As  Int";
Debug.ShouldStop(-2147483648);
_i = 0;
 BA.debugLineNum = 161;BA.debugLine="Dim n As Int";
Debug.ShouldStop(1);
_n = 0;Debug.locals.put("n", _n);
 BA.debugLineNum = 162;BA.debugLine="Dim s As String";
Debug.ShouldStop(2);
_s = "";Debug.locals.put("s", _s);
 BA.debugLineNum = 163;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(4);
mostCurrent._txt = "";
 BA.debugLineNum = 164;BA.debugLine="Txt = \"Select * from common where type = 13 order by code\"";
Debug.ShouldStop(8);
mostCurrent._txt = "Select * from common where type = 13 order by code";
 BA.debugLineNum = 165;BA.debugLine="QcurExec";
Debug.ShouldStop(16);
_qcurexec();
 BA.debugLineNum = 166;BA.debugLine="n = qcur.RowCount";
Debug.ShouldStop(32);
_n = _qcur.getRowCount();Debug.locals.put("n", _n);
 BA.debugLineNum = 168;BA.debugLine="For i = 0 To n -1";
Debug.ShouldStop(128);
{
final int step133 = 1;
final int limit133 = (int) (_n-1);
for (_i = (int) (0); (step133 > 0 && _i <= limit133) || (step133 < 0 && _i >= limit133); _i = ((int)(0 + _i + step133))) {
 BA.debugLineNum = 169;BA.debugLine="qcur.Position = i";
Debug.ShouldStop(256);
_qcur.setPosition(_i);
 BA.debugLineNum = 170;BA.debugLine="s= qcur.GetString(\"description\")";
Debug.ShouldStop(512);
_s = _qcur.GetString("description");Debug.locals.put("s", _s);
 BA.debugLineNum = 171;BA.debugLine="spHHCat.AddAll(Array As String (s))";
Debug.ShouldStop(1024);
mostCurrent._sphhcat.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{_s}));
 }
};
 BA.debugLineNum = 173;BA.debugLine="qcur.Close";
Debug.ShouldStop(4096);
_qcur.Close();
 BA.debugLineNum = 174;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spidtypld() throws Exception{
		Debug.PushSubsStack("spIDTypLd (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
int _n = 0;
String _s = "";
 BA.debugLineNum = 127;BA.debugLine="Sub spIDTypLd";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 128;BA.debugLine="Dim i As  Int";
Debug.ShouldStop(-2147483648);
_i = 0;
 BA.debugLineNum = 129;BA.debugLine="Dim n As Int";
Debug.ShouldStop(1);
_n = 0;Debug.locals.put("n", _n);
 BA.debugLineNum = 130;BA.debugLine="Dim s As String";
Debug.ShouldStop(2);
_s = "";Debug.locals.put("s", _s);
 BA.debugLineNum = 131;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(4);
mostCurrent._txt = "";
 BA.debugLineNum = 132;BA.debugLine="Txt = \"Select * from common where type = 14 order by code\"";
Debug.ShouldStop(8);
mostCurrent._txt = "Select * from common where type = 14 order by code";
 BA.debugLineNum = 133;BA.debugLine="QcurExec";
Debug.ShouldStop(16);
_qcurexec();
 BA.debugLineNum = 134;BA.debugLine="n = qcur.RowCount";
Debug.ShouldStop(32);
_n = _qcur.getRowCount();Debug.locals.put("n", _n);
 BA.debugLineNum = 136;BA.debugLine="For i = 0 To n -1";
Debug.ShouldStop(128);
{
final int step103 = 1;
final int limit103 = (int) (_n-1);
for (_i = (int) (0); (step103 > 0 && _i <= limit103) || (step103 < 0 && _i >= limit103); _i = ((int)(0 + _i + step103))) {
 BA.debugLineNum = 137;BA.debugLine="qcur.Position = i";
Debug.ShouldStop(256);
_qcur.setPosition(_i);
 BA.debugLineNum = 138;BA.debugLine="s= qcur.GetString(\"description\")";
Debug.ShouldStop(512);
_s = _qcur.GetString("description");Debug.locals.put("s", _s);
 BA.debugLineNum = 139;BA.debugLine="spIDTyp.AddAll(Array As String (s))";
Debug.ShouldStop(1024);
mostCurrent._spidtyp.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{_s}));
 }
};
 BA.debugLineNum = 141;BA.debugLine="qcur.Close";
Debug.ShouldStop(4096);
_qcur.Close();
 BA.debugLineNum = 142;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spmemcatld() throws Exception{
		Debug.PushSubsStack("spMemCatLd (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
int _n = 0;
String _s = "";
 BA.debugLineNum = 143;BA.debugLine="Sub spMemCatLd";
Debug.ShouldStop(16384);
 BA.debugLineNum = 144;BA.debugLine="Dim i As  Int";
Debug.ShouldStop(32768);
_i = 0;
 BA.debugLineNum = 145;BA.debugLine="Dim n As Int";
Debug.ShouldStop(65536);
_n = 0;Debug.locals.put("n", _n);
 BA.debugLineNum = 146;BA.debugLine="Dim s As String";
Debug.ShouldStop(131072);
_s = "";Debug.locals.put("s", _s);
 BA.debugLineNum = 147;BA.debugLine="Txt = \"\"";
Debug.ShouldStop(262144);
mostCurrent._txt = "";
 BA.debugLineNum = 148;BA.debugLine="Txt = \"Select * from common where type = 15 order by code\"";
Debug.ShouldStop(524288);
mostCurrent._txt = "Select * from common where type = 15 order by code";
 BA.debugLineNum = 149;BA.debugLine="QcurExec";
Debug.ShouldStop(1048576);
_qcurexec();
 BA.debugLineNum = 150;BA.debugLine="n = qcur.RowCount";
Debug.ShouldStop(2097152);
_n = _qcur.getRowCount();Debug.locals.put("n", _n);
 BA.debugLineNum = 152;BA.debugLine="For i = 0 To n -1";
Debug.ShouldStop(8388608);
{
final int step118 = 1;
final int limit118 = (int) (_n-1);
for (_i = (int) (0); (step118 > 0 && _i <= limit118) || (step118 < 0 && _i >= limit118); _i = ((int)(0 + _i + step118))) {
 BA.debugLineNum = 153;BA.debugLine="qcur.Position = i";
Debug.ShouldStop(16777216);
_qcur.setPosition(_i);
 BA.debugLineNum = 154;BA.debugLine="s= qcur.GetString(\"description\")";
Debug.ShouldStop(33554432);
_s = _qcur.GetString("description");Debug.locals.put("s", _s);
 BA.debugLineNum = 155;BA.debugLine="spMemCat.AddAll(Array As String (s))";
Debug.ShouldStop(67108864);
mostCurrent._spmemcat.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{_s}));
 }
};
 BA.debugLineNum = 157;BA.debugLine="qcur.Close";
Debug.ShouldStop(268435456);
_qcur.Close();
 BA.debugLineNum = 158;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spprofq1_itemclick(int _position,Object _value) throws Exception{
		Debug.PushSubsStack("spProfQ1_ItemClick (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 237;BA.debugLine="Sub spProfQ1_ItemClick (Position As Int, Value As Object)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 239;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _unlockfields() throws Exception{
		Debug.PushSubsStack("unlockfields (profilehoh) ","profilehoh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 324;BA.debugLine="Sub unlockfields";
Debug.ShouldStop(8);
 BA.debugLineNum = 325;BA.debugLine="PHICExpDate.Enabled = True";
Debug.ShouldStop(16);
mostCurrent._phicexpdate.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 326;BA.debugLine="spIDTyp.Enabled = True";
Debug.ShouldStop(32);
mostCurrent._spidtyp.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 327;BA.debugLine="spMemCat.Enabled = True";
Debug.ShouldStop(64);
mostCurrent._spmemcat.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 328;BA.debugLine="rbYes.Enabled = True";
Debug.ShouldStop(128);
mostCurrent._rbyes.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 329;BA.debugLine="rbNo.Enabled = True";
Debug.ShouldStop(256);
mostCurrent._rbno.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 330;BA.debugLine="spHHCat.Enabled = True";
Debug.ShouldStop(512);
mostCurrent._sphhcat.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 332;BA.debugLine="PHICExpDate.Visible = False";
Debug.ShouldStop(2048);
mostCurrent._phicexpdate.setVisible(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 333;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
